package com.qmth.themis.business.bean.status;

import com.qmth.themis.business.enums.MonitorStatusSourceEnum;
import com.qmth.themis.business.enums.WebsocketStatusEnum;

import java.io.Serializable;

/**
 * @Description: websocket状态bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/11/25
 */
public class ClientWebsocketStatusBean implements Serializable {

    WebsocketStatusEnum websocketStatusEnum;
    Long timestamp;//时间戳

    public ClientWebsocketStatusBean() {

    }

    public ClientWebsocketStatusBean(WebsocketStatusEnum websocketStatusEnum, Long timestamp) {
        this.websocketStatusEnum = websocketStatusEnum;
        this.timestamp = timestamp;
    }

    public WebsocketStatusEnum getWebsocketStatusEnum() {
        return websocketStatusEnum;
    }

    public void setWebsocketStatusEnum(WebsocketStatusEnum websocketStatusEnum) {
        this.websocketStatusEnum = websocketStatusEnum;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
